/***************************************************************************
 *   Copyright (C) 2007 by Francesc Burrull i Mestres.   *
 *   francesc.burrull@upct.es   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _W2LAN_HELP_H_
#include "w2lan_help.h"
#endif

/* Program version ( see config.h to find VERSION )*/
unsigned char version[] = "0.1";

void
usage(char *name)
{
 fprintf(stderr, "\nw2lan - Layer 2 routing protocol for Ethernet wireless ad-hoc networks\n");
 fprintf(stderr, "Author: Francesc Burrull i Mestres <francesc.burrull@upct.es>\n\n");
 fprintf(stderr, "usage: %s [options] [device]\n\n", name);
 fprintf(stderr, "options:\n");
 fprintf(stderr, "      -m [mode]       valid modes: passive, reactive, always (see 'man 8 w2lan')\n");
 fprintf(stderr, "      -h              this help message and exit\n");
 fprintf(stderr, "      -v              display the version number and exit\n");
 fprintf(stderr, "device:\n");
 fprintf(stderr, "      [device]        wireless device where w2lan operates (i.e. eth2)\n"); 
}

void
display_version()
{
 fprintf(stderr, "w2lan - Layer 2 routing protocol for Ethernet wireless ad-hoc networks.\n");
 fprintf(stderr, "Author: Francesc Burrull i Mestres <francesc.burrull@upct.es>\n");
 fprintf(stderr, "\nVersion number: %s\n", version );
}

